fop 1.1

## org.apache.fop.fo.properties
Class XMLLangShorthandParser

    java.lang.Object
      org.apache.fop.fo.properties.GenericShorthandParser
          org.apache.fop.fo.properties.XMLLangShorthandParser

All Implemented Interfaces:
  ShorthandParser

    public class XMLLangShorthandParser

extends GenericShorthandParser

A parser for the xml:lang property.

Constructor Summary
`XMLLangShorthandParser()`

Method Summary
`Property` `getValueForProperty(int propId, Property property, PropertyMaker maker, PropertyList propertyList)`

Methods inherited from class org.apache.fop.fo.properties.GenericShorthandParser
`convertValueForProperty, getElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLLangShorthandParser

    public XMLLangShorthandParser()

Method Detail

### getValueForProperty

    public Property getValueForProperty(int propId,
                                        Property property,
                                        PropertyMaker maker,
                                        PropertyList propertyList)
                                 throws PropertyException

  Specified by:
    `getValueForProperty` in interface `ShorthandParser`
  Overrides:
    `getValueForProperty` in class `GenericShorthandParser`
  Parameters:
    `propId` - the property ID in the Constants interface
    `property` - from which value is obtained
    `maker` - Maker object for the Property
    `propertyList` - list of properties
  Returns:
    Property object corresponding to propName
  Throws:
    `PropertyException` - in case a property exception occurs

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.